<?php
/**
 * @author : Jegtheme
 */

namespace EPIC\SP\Type;

/**
 * Class Theme JNews_Post_Split
 */
class Sp_Type_17 extends Sp_Type_Abstract {
	/**
	 * Render Split Content Element
	 *
	 * @return mixed
	 */
	public function render() {
		$output  = $this->before_content;
		$output .= '<div class="top-split-nav">' . $this->drop_section() . '</div>';
		$output .= $this->render_content();

		return $output;
	}

	/**
	 * Render drop section
	 *
	 * @return string
	 */
	public function drop_section() {
		$output =
			'<div class="jeg_splitpost_bar jeg_splitpost_4">
                ' . $this->current_title() . '
            </div>';

		return $output;
	}

	/**
	 * Get Type of Split Content
	 *
	 * @return mixed
	 */
	public function get_split_type() {
		return '17';
	}
}

